package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Selectall;
import com.realnet.basicp1.Services.SelectallService ;














@RequestMapping(value = "/Selectall")
 @CrossOrigin("*") 
@RestController
public class SelectallController {
	@Autowired
	private SelectallService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Selectall")
		  public Selectall Savedata(@RequestBody Selectall data) {
		Selectall save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Selectall/{id}")
	public  Selectall update(@RequestBody Selectall data,@PathVariable Integer id ) {
		Selectall update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Selectall/getall/page")
	public Page<Selectall> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Selectall> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Selectall")
	public List<Selectall> getdetails() {
		 List<Selectall> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Selectall")
	public List<Selectall> getallwioutsec() {
		 List<Selectall> get = Service.getdetails();		
		return get;
}
@GetMapping("/Selectall/{id}")
	public  Selectall  getdetailsbyId(@PathVariable Integer id ) {
		Selectall  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Selectall/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}















}